Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#877 2018-03-14 17:26:37

THE BLUE DRAGON
Member
From: Israel
Registered: 2007-11-16
Posts: 603
Website

Re: yab_shop (simple textpattern shop with paypal support)

Hi, I’m also getting these errors on a fresh install on TXP 4.6.2, how can I solve this please?
Using plugin version 0.8.2 (yab_shop_v0.8.2.tar.gz)

rewQ wrote #305807:

Hello! TXP 4.6.2, php 5.4. I’ve installed yab_shop, but i see error “user_error specified key was too long max key length is 1000 bytes “ Please, advise where is error?

User_Error “Specified key was too long; max key length is 1000 bytes”
in /home/users/9/—————-/domains/———/textpattern/lib/txplib_db.php at line 409.

adminErrorHandler()
textpattern/lib/txplib_db.php:409 trigger_error()
textpattern/lib/txplib_misc.php(1782) : eval()’d code:968 safe_query()
textpattern/lib/txplib_misc.php(1782) : eval()’d code:192 yab_shop_install()
textpattern/lib/txplib_misc.php(1782) : eval()’d code:89 yab_shop_first_install()
yab_shop_prefs()
textpattern/lib/txplib_misc.php:1895 call_user_func_array()
textpattern/index.php:214 callback_event(

Offline

#878 2018-05-14 00:26:12

sgreener
Member
Registered: 2008-11-05
Posts: 16

Re: yab_shop (simple textpattern shop with paypal support)

I have downloaded, installed and activated version 0.8.2 of yab_shop into Textpattern CMS · 4.5.5.

When I go to Extensions>Shop_Prefs/Shop_Lang I get:

Yab Shop 0.8.2 – Install
If you have a version before 0.8.x installed, please remove them.
Hit the button to install Yab Shop.

It doesn’t matter how many times I press Install I keep getting exactly the same message.

When I use PhpMyAdmin I can see the following tables:

txp_yab_shop_lang
txp_yab_shop_prefs

with data in both.

Any idea what is going on with Preferences?

SImon

Offline

#879 2018-05-14 17:10:52

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,259

Re: yab_shop (simple textpattern shop with paypal support)

Simon, TXP v4.5.5 is from 2013, if the date I’ve downloaded that TXP zip is correct. So maybe the yab_shop plugin from 2017, which I’ve filed for 4.6, doesn’t work with 4.5.5.

As no earlier version of the shop plugin seems to be available online any more I can offer you to mail you a copy of my 0.8.1 from 2012 (currently I can’t upload to TXP Resources because of server errors). You’d then better delete the 0.8.2 yab tables, and install 0.8.1. If that goes well and is operable, make a db backup and install 0.8.2. Maybe you’ll have more luck then. If not you can still use your backup.


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#880 2018-05-15 06:44:20

sgreener
Member
Registered: 2008-11-05
Posts: 16

Re: yab_shop (simple textpattern shop with paypal support)

Thanks Uli.

I will email you to get 0.8.1.

I am also investigating what is needed to update my current version as I didn’t do the last install.

Offline

#881 2018-05-15 11:10:34

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,259

Re: yab_shop (simple textpattern shop with paypal support)

According to gaekwad/Pete’s tests, updating from 4.5.5 to a current version should be easy and happen flawless. So only plugins to check. (Mail is sent.)


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#882 2018-05-15 23:43:39

sgreener
Member
Registered: 2008-11-05
Posts: 16

Re: yab_shop (simple textpattern shop with paypal support)

Thank you for the previous version.

It has installed correctly and I can now use it.

Simon

Offline

#883 2018-06-26 13:55:33

Saldacenkaw
Member
Registered: 2006-12-28
Posts: 30

Re: yab_shop (simple textpattern shop with paypal support)

hi there, i guess we have some issue with our loved yab_shop and php 7.1+
http://php.net/manual/en/migration71.other-changes.php

when I’m trying to add some product with different prices i got warning:

Tag error: <txp:yab_shop_cart>
<span class="added"><txp:yab_shop_cart_message  /></span>
  <txp:yab_shop_cart_items />
</txp:yab_shop_cart> ->  Warning: sizeof(): Parameter must be an array or an object that implements Countable while parsing form None on page default

I disabled E_warning as a temporary solution

And something in the checkout_form

Tag error: <txp:yab_shop_checkout /> ->  Warning: A non-numeric value encountered while parsing form None on page default

Last edited by Saldacenkaw (2018-06-26 18:51:17)


I know, my english is horrible

Offline

#884 2018-06-26 18:33:10

Saldacenkaw
Member
Registered: 2006-12-28
Posts: 30

Re: yab_shop (simple textpattern shop with paypal support)

function _update_total()
		{
			$this->itemcount = 0;
			$this->total = 0;
			if (sizeof($this->items > 0))
			{

issue in the sizeof , but i can’t realize how to fix it?


I know, my english is horrible

Offline

#885 2018-07-12 20:57:13

geoff777
Plugin Author
From: Benarrabá Andalucía Spain
Registered: 2008-02-19
Posts: 282
Website

Re: yab_shop (simple textpattern shop with paypal support)

I’m not a php programmer and I haven’t used this plugin.

But … if (sizeof($this->items > 0)) looks wrong?

should be …. if (sizeof($this->items) > 0)

Also looking in the php manual .. sizeof() is an alias for count()
and this is preferred/recommended as in other languages sizeof refers to memory alloc

so … if (count($this->items) > 0)

hope it works/helps …

EDIT: concerned that this would never have worked and isn’t php7 related.

Last edited by geoff777 (2018-07-12 21:03:59)


There are 10 types of people in the world: those who understand binary, and those who don’t.

Offline

#886 2018-08-20 07:56:12

Saldacenkaw
Member
Registered: 2006-12-28
Posts: 30

Re: yab_shop (simple textpattern shop with paypal support)

hi there,

trenc, do you have any plans to update the plugin? it will be amazing


I know, my english is horrible

Offline

#887 2018-10-18 09:54:09

trenc
Plugin Author
From: Cologne
Registered: 2008-02-27
Posts: 569
Website

Re: yab_shop (simple textpattern shop with paypal support)

I’m really sorry for the long delay.

I’ve updated the plugin und hopefully bugfixed the annoying sizeof error and I inlcuded Ruud’s code regarding the last modified header (thanks Ruud).

So grab it here: yab_shop_v0.8.3.tar.gz

Offline

#888 2018-10-18 13:51:16

Saldacenkaw
Member
Registered: 2006-12-28
Posts: 30

Re: yab_shop (simple textpattern shop with paypal support)

trenc wrote #314632:

I’m really sorry for the long delay.

I’ve updated the plugin und hopefully bugfixed the annoying sizeof error and I inlcuded Ruud’s code regarding the last modified header (thanks Ruud).

So grab it here: yab_shop_v0.8.3.tar.gz

what a great news! thank you so much, i’m going to test :)


I know, my english is horrible

Offline

Board footer

Powered by FluxBB